TermAndBoost (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.synonym.word2vec, record: TermAndBoost

Package org.apache.lucene.analysis.synonym.word2vec

# Record Class TermAndBoost

java.lang.Object
java.lang.Record
org.apache.lucene.analysis.synonym.word2vec.TermAndBoost

Record Components:
  `term` - the term
  `boost` - the boost

public record TermAndBoost(BytesRef term, float boost) extends Record
Wraps a term and boost

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TermAndBoost(BytesRef term, float boost)`
  Creates a new TermAndBoost

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `boost()`
  Returns the value of the `boost` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `BytesRef`
  `term()`
  Returns the value of the `term` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TermAndBoost

    public TermAndBoost(BytesRef term, float boost)
    Creates a new TermAndBoost

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### term

    public BytesRef term()
    Returns the value of the `term` record component.
    Returns:
      the value of the `term` record component

  - ### boost

    public float boost()
    Returns the value of the `boost` record component.
    Returns:
      the value of the `boost` record component